package com.link.base.enterprise.model;

import com.link.core.basic.model.BasicModel;

public class CoreEnterprise extends BasicModel {
   private static final long serialVersionUID = 2497986751846603975L;
   private String name;
   private String comments;
   private String defaultPrice;
   private String firstname;
   private String mobilePhone;
   private String userId;
   private Long code;
   private String userName;
   private String priceListName;
   private String dealerApplySelf;
   private String industryVersion;
   private String crmDutyId;
   private String appDutyId;
   private String beginDate;
   private String endDate;
   private String crmEnabled;
   private String dmsEnabled;
   private String appEnabled;
   private Double crmUserAmount;
   private Double dmsUserAmount;
   private Double appUserAmount;
   private Double qdUserAmount;
   private String appDutyName;
   private String crmDutyName;
   private String qrCodeId;
   private String qrCodeUrl;
   private String qdToken;
   private String qdAeskey;
   private String emailServer;
   private String emailUsername;
   private String emailPsw;
   private String contactUsText;
   private String qdTaskFlag;
   private String enterpriseKey;
   private String tokenCreatedDate;
   private String homePage;
   private String enterpriseLogoImgId;
   private String enterpriseLogoImgUrl;
   private String enterpriseCrmName;
   private String enterpriseDmsName;
   private String multLoginFlag;
   private String strictSecurityFlag = "N";
   private String apiStrictSecurityFlag;
   private String appStrictSecurityFlag = "N";
   private String isMultiPriceList;
   private Integer pwMinLen;
   private String pwCheckGrade;
   private Integer pwKeepDate;
   private String pwGrade;
   private String forceHistyPw;
   private String exportType;
   private String mobileVerifyFlag;
   private Integer pwExpireDate;
   private String businessTax;
   private String legalRepresent;
   private String province;
   private String city;
   private String county;
   private String detailedAddress;
   private String registerStatus;
   private String registerDate;
   private String busQuaCerBigUrl;
   private String busQuaCerUrl;
   private String idcardBigUrl;
   private String idcardFacadeUrl;
   private String idcardBackBigUrl;
   private String idcardBackUrl;
   private String otherBigUrl;
   private String otherVoucherUrl;
   private String vAcctId;
   private String vAcctName;
   private String billStatementFlag;
   private String authAppid;
   private String authAccessToken;
   private String authRefreshToken;
   private String checkScopeFlag;

   public String getAppStrictSecurityFlag() {
      return this.appStrictSecurityFlag;
   }

   public void setAppStrictSecurityFlag(String appStrictSecurityFlag) {
      this.appStrictSecurityFlag = appStrictSecurityFlag;
   }

   public Integer getPwExpireDate() {
      return this.pwExpireDate;
   }

   public void setPwExpireDate(Integer pwExpireDate) {
      this.pwExpireDate = pwExpireDate;
   }

   public String getIsMultiPriceList() {
      return this.isMultiPriceList;
   }

   public void setIsMultiPriceList(String isMultiPriceList) {
      this.isMultiPriceList = isMultiPriceList;
   }

   public String getStrictSecurityFlag() {
      return this.strictSecurityFlag;
   }

   public void setStrictSecurityFlag(String strictSecurityFlag) {
      this.strictSecurityFlag = strictSecurityFlag;
   }

   public String getEnterpriseLogoImgId() {
      return this.enterpriseLogoImgId;
   }

   public void setEnterpriseLogoImgId(String enterpriseLogoImgId) {
      this.enterpriseLogoImgId = enterpriseLogoImgId;
   }

   public String getEnterpriseLogoImgUrl() {
      return this.enterpriseLogoImgUrl;
   }

   public void setEnterpriseLogoImgUrl(String enterpriseLogoImgUrl) {
      this.enterpriseLogoImgUrl = enterpriseLogoImgUrl;
   }

   public String getEnterpriseCrmName() {
      return this.enterpriseCrmName;
   }

   public void setEnterpriseCrmName(String enterpriseCrmName) {
      this.enterpriseCrmName = enterpriseCrmName;
   }

   public String getEnterpriseDmsName() {
      return this.enterpriseDmsName;
   }

   public void setEnterpriseDmsName(String enterpriseDmsName) {
      this.enterpriseDmsName = enterpriseDmsName;
   }

   public String getContactUsText() {
      return this.contactUsText;
   }

   public void setContactUsText(String contactUsText) {
      this.contactUsText = contactUsText;
   }

   public String getHomePage() {
      return this.homePage;
   }

   public void setHomePage(String homePage) {
      this.homePage = homePage;
   }

   public String getEmailServer() {
      return this.emailServer;
   }

   public void setEmailServer(String emailServer) {
      this.emailServer = emailServer;
   }

   public String getEmailUsername() {
      return this.emailUsername;
   }

   public void setEmailUsername(String emailUsername) {
      this.emailUsername = emailUsername;
   }

   public String getEmailPsw() {
      return this.emailPsw;
   }

   public void setEmailPsw(String emailPsw) {
      this.emailPsw = emailPsw;
   }

   public String getQrCodeId() {
      return this.qrCodeId;
   }

   public void setQrCodeId(String qrCodeId) {
      this.qrCodeId = qrCodeId;
   }

   public String getQrCodeUrl() {
      return this.qrCodeUrl;
   }

   public void setQrCodeUrl(String qrCodeUrl) {
      this.qrCodeUrl = qrCodeUrl;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getComments() {
      return this.comments;
   }

   public void setComments(String comments) {
      this.comments = comments;
   }

   public String getDefaultPrice() {
      return this.defaultPrice;
   }

   public void setDefaultPrice(String defaultPrice) {
      this.defaultPrice = defaultPrice;
   }

   public String getFirstname() {
      return this.firstname;
   }

   public void setFirstname(String firstname) {
      this.firstname = firstname;
   }

   public String getMobilePhone() {
      return this.mobilePhone;
   }

   public void setMobilePhone(String mobilePhone) {
      this.mobilePhone = mobilePhone;
   }

   public String getUserId() {
      return this.userId;
   }

   public void setUserId(String userId) {
      this.userId = userId;
   }

   public Long getCode() {
      return this.code;
   }

   public void setCode(Long code) {
      this.code = code;
   }

   public String getUserName() {
      return this.userName;
   }

   public void setUserName(String userName) {
      this.userName = userName;
   }

   public String getPriceListName() {
      return this.priceListName;
   }

   public void setPriceListName(String priceListName) {
      this.priceListName = priceListName;
   }

   public String getDealerApplySelf() {
      return this.dealerApplySelf;
   }

   public void setDealerApplySelf(String dealerApplySelf) {
      this.dealerApplySelf = dealerApplySelf;
   }

   public String getIndustryVersion() {
      return this.industryVersion;
   }

   public void setIndustryVersion(String industryVersion) {
      this.industryVersion = industryVersion;
   }

   public String getCrmDutyId() {
      return this.crmDutyId;
   }

   public void setCrmDutyId(String crmDutyId) {
      this.crmDutyId = crmDutyId;
   }

   public String getAppDutyId() {
      return this.appDutyId;
   }

   public void setAppDutyId(String appDutyId) {
      this.appDutyId = appDutyId;
   }

   public String getBeginDate() {
      return this.beginDate;
   }

   public void setBeginDate(String beginDate) {
      this.beginDate = beginDate;
   }

   public String getEndDate() {
      return this.endDate;
   }

   public void setEndDate(String endDate) {
      this.endDate = endDate;
   }

   public String getCrmEnabled() {
      return this.crmEnabled;
   }

   public void setCrmEnabled(String crmEnabled) {
      this.crmEnabled = crmEnabled;
   }

   public String getDmsEnabled() {
      return this.dmsEnabled;
   }

   public void setDmsEnabled(String dmsEnabled) {
      this.dmsEnabled = dmsEnabled;
   }

   public String getAppEnabled() {
      return this.appEnabled;
   }

   public void setAppEnabled(String appEnabled) {
      this.appEnabled = appEnabled;
   }

   public Double getCrmUserAmount() {
      return this.crmUserAmount;
   }

   public void setCrmUserAmount(Double crmUserAmount) {
      this.crmUserAmount = crmUserAmount;
   }

   public Double getDmsUserAmount() {
      return this.dmsUserAmount;
   }

   public void setDmsUserAmount(Double dmsUserAmount) {
      this.dmsUserAmount = dmsUserAmount;
   }

   public Double getAppUserAmount() {
      return this.appUserAmount;
   }

   public void setAppUserAmount(Double appUserAmount) {
      this.appUserAmount = appUserAmount;
   }

   public String getAppDutyName() {
      return this.appDutyName;
   }

   public void setAppDutyName(String appDutyName) {
      this.appDutyName = appDutyName;
   }

   public String getCrmDutyName() {
      return this.crmDutyName;
   }

   public void setCrmDutyName(String crmDutyName) {
      this.crmDutyName = crmDutyName;
   }

   public String getAuthAppid() {
      return this.authAppid;
   }

   public void setAuthAppid(String authAppid) {
      this.authAppid = authAppid;
   }

   public String getAuthAccessToken() {
      return this.authAccessToken;
   }

   public void setAuthAccessToken(String authAccessToken) {
      this.authAccessToken = authAccessToken;
   }

   public String getAuthRefreshToken() {
      return this.authRefreshToken;
   }

   public void setAuthRefreshToken(String authRefreshToken) {
      this.authRefreshToken = authRefreshToken;
   }

   public Double getQdUserAmount() {
      return this.qdUserAmount;
   }

   public void setQdUserAmount(Double qdUserAmount) {
      this.qdUserAmount = qdUserAmount;
   }

   public String getQdToken() {
      return this.qdToken;
   }

   public void setQdToken(String qdToken) {
      this.qdToken = qdToken;
   }

   public String getQdAeskey() {
      return this.qdAeskey;
   }

   public void setQdAeskey(String qdAeskey) {
      this.qdAeskey = qdAeskey;
   }

   public String getQdTaskFlag() {
      return this.qdTaskFlag;
   }

   public void setQdTaskFlag(String qdTaskFlag) {
      this.qdTaskFlag = qdTaskFlag;
   }

   public String getEnterpriseKey() {
      return this.enterpriseKey;
   }

   public void setEnterpriseKey(String enterpriseKey) {
      this.enterpriseKey = enterpriseKey;
   }

   public String getTokenCreatedDate() {
      return this.tokenCreatedDate;
   }

   public void setTokenCreatedDate(String tokenCreatedDate) {
      this.tokenCreatedDate = tokenCreatedDate;
   }

   public String getMultLoginFlag() {
      return this.multLoginFlag;
   }

   public void setMultLoginFlag(String multLoginFlag) {
      this.multLoginFlag = multLoginFlag;
   }

   public Integer getPwMinLen() {
      return this.pwMinLen;
   }

   public void setPwMinLen(Integer pwMinLen) {
      this.pwMinLen = pwMinLen;
   }

   public String getPwCheckGrade() {
      return this.pwCheckGrade;
   }

   public void setPwCheckGrade(String pwCheckGrade) {
      this.pwCheckGrade = pwCheckGrade;
   }

   public Integer getPwKeepDate() {
      return this.pwKeepDate;
   }

   public void setPwKeepDate(Integer pwKeepDate) {
      this.pwKeepDate = pwKeepDate;
   }

   public String getPwGrade() {
      return this.pwGrade;
   }

   public void setPwGrade(String pwGrade) {
      this.pwGrade = pwGrade;
   }

   public String getForceHistyPw() {
      return this.forceHistyPw;
   }

   public void setForceHistyPw(String forceHistyPw) {
      this.forceHistyPw = forceHistyPw;
   }

   public String getExportType() {
      return this.exportType;
   }

   public void setExportType(String exportType) {
      this.exportType = exportType;
   }

   public String getBusinessTax() {
      return this.businessTax;
   }

   public void setBusinessTax(String businessTax) {
      this.businessTax = businessTax;
   }

   public String getLegalRepresent() {
      return this.legalRepresent;
   }

   public void setLegalRepresent(String legalRepresent) {
      this.legalRepresent = legalRepresent;
   }

   public String getProvince() {
      return this.province;
   }

   public void setProvince(String province) {
      this.province = province;
   }

   public String getCity() {
      return this.city;
   }

   public void setCity(String city) {
      this.city = city;
   }

   public String getCounty() {
      return this.county;
   }

   public void setCounty(String county) {
      this.county = county;
   }

   public String getDetailedAddress() {
      return this.detailedAddress;
   }

   public void setDetailedAddress(String detailedAddress) {
      this.detailedAddress = detailedAddress;
   }

   public String getRegisterStatus() {
      return this.registerStatus;
   }

   public void setRegisterStatus(String registerStatus) {
      this.registerStatus = registerStatus;
   }

   public String getRegisterDate() {
      return this.registerDate;
   }

   public void setRegisterDate(String registerDate) {
      this.registerDate = registerDate;
   }

   public String getBusQuaCerBigUrl() {
      return this.busQuaCerBigUrl;
   }

   public void setBusQuaCerBigUrl(String busQuaCerBigUrl) {
      this.busQuaCerBigUrl = busQuaCerBigUrl;
   }

   public String getBusQuaCerUrl() {
      return this.busQuaCerUrl;
   }

   public void setBusQuaCerUrl(String busQuaCerUrl) {
      this.busQuaCerUrl = busQuaCerUrl;
   }

   public String getIdcardBigUrl() {
      return this.idcardBigUrl;
   }

   public void setIdcardBigUrl(String idcardBigUrl) {
      this.idcardBigUrl = idcardBigUrl;
   }

   public String getIdcardFacadeUrl() {
      return this.idcardFacadeUrl;
   }

   public void setIdcardFacadeUrl(String idcardFacadeUrl) {
      this.idcardFacadeUrl = idcardFacadeUrl;
   }

   public String getIdcardBackBigUrl() {
      return this.idcardBackBigUrl;
   }

   public void setIdcardBackBigUrl(String idcardBackBigUrl) {
      this.idcardBackBigUrl = idcardBackBigUrl;
   }

   public String getIdcardBackUrl() {
      return this.idcardBackUrl;
   }

   public void setIdcardBackUrl(String idcardBackUrl) {
      this.idcardBackUrl = idcardBackUrl;
   }

   public String getOtherBigUrl() {
      return this.otherBigUrl;
   }

   public void setOtherBigUrl(String otherBigUrl) {
      this.otherBigUrl = otherBigUrl;
   }

   public String getOtherVoucherUrl() {
      return this.otherVoucherUrl;
   }

   public void setOtherVoucherUrl(String otherVoucherUrl) {
      this.otherVoucherUrl = otherVoucherUrl;
   }

   public String getvAcctId() {
      return this.vAcctId;
   }

   public void setvAcctId(String vAcctId) {
      this.vAcctId = vAcctId;
   }

   public String getvAcctName() {
      return this.vAcctName;
   }

   public void setvAcctName(String vAcctName) {
      this.vAcctName = vAcctName;
   }

   public String getBillStatementFlag() {
      return this.billStatementFlag;
   }

   public void setBillStatementFlag(String billStatementFlag) {
      this.billStatementFlag = billStatementFlag;
   }

   public String getApiStrictSecurityFlag() {
      return this.apiStrictSecurityFlag;
   }

   public void setApiStrictSecurityFlag(String apiStrictSecurityFlag) {
      this.apiStrictSecurityFlag = apiStrictSecurityFlag;
   }

   public String getMobileVerifyFlag() {
      return this.mobileVerifyFlag;
   }

   public void setMobileVerifyFlag(String mobileVerifyFlag) {
      this.mobileVerifyFlag = mobileVerifyFlag;
   }

   public String getCheckScopeFlag() {
      return this.checkScopeFlag;
   }

   public void setCheckScopeFlag(String checkScopeFlag) {
      this.checkScopeFlag = checkScopeFlag;
   }
}
